
Foreman - Refactor #13698

update to rest-client 1.8.x

02/14/2016 09:58 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3175

  

Description

rest-client is pinned to '~> 1.6.0' at the moment, blocking an update to a newer rbovirt. Also 1.6.9 has two security issues which are

probably not critical for Foreman core, but won't get resolved in 1.6.x:

Name: rest-client

Version: 1.6.9

Advisory: CVE-2015-1820

Criticality: Unknown

URL: https://github.com/rest-client/rest-client/issues/369

Title: rubygem-rest-client: session fixation vulnerability via Set-Cookie headers in 30x redirecti

on responses

Solution: upgrade to >= 1.8.0

Name: rest-client

Version: 1.6.9

Advisory: CVE-2015-3448

Criticality: Unknown

URL: http://www.osvdb.org/show/osvdb/117461

Title: Rest-Client Gem for Ruby logs password information in plaintext

Solution: upgrade to >= 1.7.3

Related issues:

Blocks Foreman - Feature #8289: use cloudinit user data in ovirt/rhev compute... Closed 11/05/2014

Blocked by Katello - Refactor #13699: update to rest-client 1.8.x Rejected 02/14/2016

Blocks Packaging - Feature #14809: Build RPMs for Fedora 24 Closed 04/26/2016

Associated revisions

Revision 7635745f - 05/25/2016 09:08 AM - Michael Moll 

fixes #13698 - update rest-client and rbovirt gems

- update rest-client to 1.8.x

- update rbovirt to 0.1.x

Revision 40eacae1 - 05/25/2016 09:53 AM - Dominic Cleal

refs #13698 - update rest-client and rbovirt gems

History

#1 - 02/14/2016 10:00 AM - Anonymous

- Blocks Feature #8289: use cloudinit user data in ovirt/rhev compute ressource added

#2 - 02/14/2016 10:03 AM - Anonymous

- Blocked by Refactor #13699: update to rest-client 1.8.x added
#3 - 02/15/2016 08:08 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#4 - 04/29/2016 04:53 AM - Dominic Cleal

- Blocks Feature #14809: Build RPMs for Fedora 24 added

#5 - 05/25/2016 09:09 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#6 - 05/25/2016 10:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7635745f055ebff661bdda5aa494921d84b79357.
